javax.swing.plaf.basic

## Class BasicComboPopup.ListSelectionHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboPopup.ListSelectionHandler

- All Implemented Interfaces:
    EventListener, ListSelectionListener
  Enclosing class:
    BasicComboPopup

      protected class BasicComboPopup.ListSelectionHandler
      extends Object
      implements ListSelectionListener

  As of Java 2 platform v 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility. Do not call or override.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ListSelectionHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `valueChanged(ListSelectionEvent e)` | Called whenever the value of the selection changes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListSelectionHandler

          protected ListSelectionHandler()

  - ### Method Detail

    - #### valueChanged

          public void valueChanged(ListSelectionEvent e)

      Description copied from interface: `ListSelectionListener`
      Called whenever the value of the selection changes.
      Specified by:
        `valueChanged` in interface `ListSelectionListener`
      Parameters:
        `e` - the event that characterizes the change.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.